SAXParserImpl
Date: 2016-07-03

com.icl.saxon.aelfred

## Class SAXParserImpl

- java.lang.Object
- - javax.xml.parsers.SAXParser
  - - com.icl.saxon.aelfred.SAXParserImpl

-     public class SAXParserImpl
      extends javax.xml.parsers.SAXParser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXParserImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.xml.sax.Parser` | `getParser()`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `org.xml.sax.XMLReader` | `getXMLReader()`
    `boolean` | `isNamespaceAware()`
    `boolean` | `isValidating()`
    `void` | `setProperty(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class javax.xml.parsers.SAXParser

      `getSchema, isXIncludeAware, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXParserImpl

          public SAXParserImpl()

  - ### Method Detail

    - #### getParser

          public org.xml.sax.Parser getParser()
                                       throws org.xml.sax.SAXException

      Specified by:
        `getParser` in class `javax.xml.parsers.SAXParser`
      Throws:
        `org.xml.sax.SAXException`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws org.xml.sax.SAXNotRecognizedException,
                                              org.xml.sax.SAXNotSupportedException

      Specified by:
        `getProperty` in class `javax.xml.parsers.SAXParser`
      Throws:
        `org.xml.sax.SAXNotRecognizedException`
        `org.xml.sax.SAXNotSupportedException`

    - #### getXMLReader

          public org.xml.sax.XMLReader getXMLReader()

      Specified by:
        `getXMLReader` in class `javax.xml.parsers.SAXParser`

    - #### isNamespaceAware

          public boolean isNamespaceAware()

      Specified by:
        `isNamespaceAware` in class `javax.xml.parsers.SAXParser`

    - #### isValidating

          public boolean isValidating()

      Specified by:
        `isValidating` in class `javax.xml.parsers.SAXParser`

    - #### setProperty

          public void setProperty(java.lang.String name,
                         java.lang.Object value)
                           throws org.xml.sax.SAXNotRecognizedException,
                                  org.xml.sax.SAXNotSupportedException

      Specified by:
        `setProperty` in class `javax.xml.parsers.SAXParser`
      Throws:
        `org.xml.sax.SAXNotRecognizedException`
        `org.xml.sax.SAXNotSupportedException`